
/**************************************************************************
 *
 *  Othello II v2.53 - 08/02/2004
 *
 *  Copyright (C) 2000-2004 Franois LEIBER <http://leiber.free.fr>
 *
 *	This file is part of Othello II.
 *
 *	Othello II is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	Othello II is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *************************************************************************/


short   VieuxContrast = 0;

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  Renvoie un pointeur vers l'adresse o est stocke le contraste
//
//  Cette fonction est tire de Ti-Chess, par Thomas Nussbaumer
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

unsigned char *contraste(void);

asm("	contraste:
		move.w	%d0,-(%a7)
		move.w  #4,%d0
		trap    #9
		move.w (%a7)+,%d0
		rts");

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  Diminue le contraste et attend un peu (sert  harmoniser les transitions entre les diffrents menus)
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void
baisse_contraste(unsigned short n)
{
	VieuxContrast = *contraste();
	*contraste() = 5;
	OSContrastDn();
	attend(n);
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  Restaure le contraste modifi avec la procdure prcdente
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void
restaure_contraste(void)
{
	*contraste() = VieuxContrast + 1;
	OSContrastDn();
}
