
/**************************************************************************
 *
 *  Othello II v2.53 - 04/02/2004
 *
 *  Copyright (C) 2000-2004 Franois LEIBER <http://leiber.free.fr>
 *
 *	This file is part of Othello II.
 *
 *	Othello II is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	Othello II is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *************************************************************************/

#define _89						// Remplacer _89 par _92 pour compiler une version 92+

#define fr_eng(x, y) (x)		// Remplacer x par y pour compiler le programme en anglais


#ifdef _89
	#define USE_TI89
	#define _89_92(x, y) (x)
#else
	#define USE_TI92PLUS
	#define USE_V200
	#define _89_92(x, y) (y)
#endif

#define PETIT 0					// Dfinition polices
#define NORMAL 1
#define GRAS 2

#define BLANC 0					// Diffrents types de case
#define NOIR 1
#define VIDE 2
#define DEHORS 3

#define HUMAIN 0				// Diffrentes possibilits pour un joueur
#define STUPIDE 1

// char _comment[] = fr_eng("Othello II par Francois Leiber", "Othello II by Francois Leiber") ;

char   *Niveau[] = { fr_eng("HUMAIN", "HUMAN"), fr_eng("STUPIDE", "STUPID"), fr_eng("MAUVAIS", "BAD"), fr_eng("FAIBLE", "NOVICE"),
	fr_eng("MOYEN", "MEDIUM"), "CORRECT", fr_eng("BON", "GOOD"), fr_eng("FORT", "STRONG"), "EXPERT"
};
